:root {
    --background-color: #222;
    --text-color: #fff;
    --primary-color: #375a7f;
    --secondary-color: #444;
    --highlight-color: #ffffff1f;
    --border-radius: 5px;
    --max-width: 600px;
}

html,
body {
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
    height: 100%;
    width: 100%;
    background-color: var(--background-color);
    color: var(--text-color);
    overflow: hidden;
}

body {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

form {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}

.header {
    display: flex;
    width: 100%;
    padding: 1em;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    box-sizing: border-box;
}

input {
    border-radius: var(--border-radius);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #303030;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #222;
}

#password {
    text-security: disc;
    -webkit-text-security: disc;
}

button[type="button"].btn {
    display: inline-block;
    border-radius: var(--border-radius);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    white-space: nowrap;
    text-decoration: none;
    background-color: var(--primary-color);
    color: var(--text-color);
    border: 1px solid var(--primary-color);
    padding: 0.375rem 0.75rem;
    cursor: pointer;
}

/* Datepicker */
.datepicker {
    max-width: var(--max-width);
    max-height: var(--max-width);
    height: 100vw;
    width: 100%;
    padding-bottom: 8px;
    box-sizing: border-box;
}

.datepicker-inline,
.datepicker-inline>div {
    height: 100%;
    width: 100%;
}

.table-condensed {
    height: 100%;
    width: 100%;
}

.table-condensed thead tr:nth-child(2) {
    height: 3em;
}

.table-condensed thead tr:nth-child(3) {
    height: 2em;
    vertical-align: bottom;
}

.datepicker.datepicker-inline>div:not(.datepicker-days) th.prev,
.datepicker.datepicker-inline>div:not(.datepicker-days) th.next {
    height: 3em;
    width: 3em;
}

th.prev,
th.next,
th.datepicker-switch,
th.today {
    border: solid 1px #fff;
    height: 3em;
}

.datepicker th.prev:hover,
.datepicker th.next:hover,
.datepicker th.datepicker-switch:hover,
.datepicker th.today:hover {
    background: var(--highlight-color)
}


tbody tr td.highlighted,
tbody tr td span.focused,
tbody tr td span:hover {
    background-color: var(--highlight-color) !important;
}

tbody tr td.today {
    background-color: var(--secondary-color) !important;
}

tbody tr td,
tbody tr td span {
    background-image: none !important;
}

tbody tr td.active {
    background-color: var(--primary-color) !important;
}

tfoot:before {
    content: '';
    display: block;
    margin-top: 0.5em;
}

/* Codes */

.codes {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 100%;
    gap: 1em;
    padding: 1em 0.5em 1em 0.5em;
    margin-bottom: 4em;
    background-color: #333;
}
.codes > * {
    display: flex;
    gap: 0.5em;
    width: 100%;
    max-width: var(--max-width);
    padding: 0 1em 0 1em;
    box-sizing: border-box;
}
.codes .field label {
    flex: 0;
    white-space: nowrap;
    display: flex;
    align-items: center;
}
.codes .field input {
    flex: 10;
    width: 100%;
}
.codes .field button {
    flex: 1;
    width: 100%;
}

/* Footer */
.footer {
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    padding: 1em;
    bottom: 0;
    right: 0;
    left: 0;
}